libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
pqxx::internal::transactionfocus Class Reference

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::transactionfocus:

## Public Member Functions

| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Protected Member Functions

void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const std::string &) throw ()
bool | registered () const throw ()

## Protected Attributes

transaction_base & | m_Trans

## Constructor & Destructor Documentation

pqxx::internal::transactionfocus::transactionfocus | ( | transaction_base & | t | ) |

explicit

## Member Function Documentation

void pqxx::internal::transactionfocus::reg_pending_error | ( | const std::string & | err | ) | throw ()

protected

void pqxx::internal::transactionfocus::register_me | ( |  | ) |

protected

bool pqxx::internal::transactionfocus::registered | ( |  | ) | const throw ()

protected

void pqxx::internal::transactionfocus::unregister_me | ( |  | ) | throw ()

protected

## Member Data Documentation

transaction_base& pqxx::internal::transactionfocus::m_Trans

protected

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx